NNG_HTTP_REQ_GET_URI(3http)

NAME
nng_http_req_get_uri - return HTTP request URI

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    const char *nng_http_req_get_uri(nng_http_req *req);

DESCRIPTION

The nng_http_req_get_uri() returns the URI (path) associated with the HTTP request req. The value returned includes the path, as well as any query information or fragment. The value will look like a file system path with those optional components appended, such as /api/get_info.cgi?name=garrett.

RETURN VALUES

Request URI as a string.

ERRORS

None.

SEE ALSO

nng_http_req_alloc(3http), nng_http_req_set_uri(3http), nng(7)